about summary refs log tree commit diff stats
path: root/pkgs/by-name/ll/lm/lm.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xpkgs/by-name/ll/lm/lm.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/pkgs/by-name/ll/lm/lm.sh b/pkgs/by-name/ll/lm/lm.sh
new file mode 100755
index 00000000..55be0798
--- /dev/null
+++ b/pkgs/by-name/ll/lm/lm.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+if [ -f "$XDG_RUNTIME_DIR/ll/last_directory" ]; then
+    last_dir="$(cat "$XDG_RUNTIME_DIR/ll/last_directory")"
+    cd "$last_dir" || die "$last_dir does not exist!"
+else
+    msg "No last directory safed (try using ll instead)."
+fi
+# vim: ft=sh